package domain

type AlibabaHmMarketingItempoolStairAdditemItemPoolSku struct {
	/*
	   商品skucode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   单位为分     */
	ExchangePrice *int64 `json:"exchange_price,omitempty" `

	/*
	   换购商品总数限制 defalutValue:-1    */
	ExchangeTotalLimit *int64 `json:"exchange_total_limit,omitempty" `
}

func (s *AlibabaHmMarketingItempoolStairAdditemItemPoolSku) SetSkuCode(v string) *AlibabaHmMarketingItempoolStairAdditemItemPoolSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairAdditemItemPoolSku) SetExchangePrice(v int64) *AlibabaHmMarketingItempoolStairAdditemItemPoolSku {
	s.ExchangePrice = &v
	return s
}
func (s *AlibabaHmMarketingItempoolStairAdditemItemPoolSku) SetExchangeTotalLimit(v int64) *AlibabaHmMarketingItempoolStairAdditemItemPoolSku {
	s.ExchangeTotalLimit = &v
	return s
}
